%define _version raq4
%define _release 5

Summary: A set of system configuration and setup files.
Name: setup
Version: %{_version}
Release: %{_release}
Copyright: public domain
Group: System Environment/Base
Source: setup-%{_version}.tar.gz
Buildroot: /var/tmp/setup-root
BuildArchitectures: noarch

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

%prep
%setup -q -n setup

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/var/log

tar cf - * | (
  cd $RPM_BUILD_ROOT
  tar xvvf -
)

touch $RPM_BUILD_ROOT/var/log/lastlog

%clean
[ -d $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%config(missingok) %attr(0600,root,root) /etc/securetty
%config /etc/profile
%config /etc/profile.d/*
%config /etc/services
%config /etc/exports
%config /etc/host.conf
%config /etc/hosts.allow
%config /etc/hosts.deny
%config /etc/inputrc
%config /etc/printcap
%config /etc/protocols
%config /etc/csh.cshrc
%verify(not md5 size mtime) /var/log/lastlog

%changelog
* Thu Jun 22 2000 Duncan Laurie <duncan@cobalt.com> raq4-5
- fix PS1 string for normal users
- add lang.sh to profile.d

* Mon May 01 2000 Duncan Laurie <duncan@cobalt.com>
- cleanup
- add user 'mail' to group 'daemon'

* Mon Aug 02 1999 Duncan Laurie <duncan@cobaltnet.com>
- put serial tty in /etc/securetty so root can log in on console

* Thu Jul 01 1999 Duncan Laurie <duncan@cobaltnet.com>
- add httpd user and group

